com.r3corda.node.services.config / FullNodeConfiguration

# FullNodeConfiguration

`class FullNodeConfiguration : NodeConfiguration`

### Constructors

<init> | `FullNodeConfiguration(config: <ERROR CLASS>)`

### Properties

artemisAddress | `val artemisAddress: <ERROR CLASS>`
basedir | `val basedir: Path`
dataSourceProperties | `val dataSourceProperties: Properties`
devMode | `val devMode: Boolean`
emailAddress | `val emailAddress: String`
exportJMXto | `val exportJMXto: String`
extraAdvertisedServiceIds | `val extraAdvertisedServiceIds: String`
keyStorePassword | `val keyStorePassword: String`
messagingServerAddress | `val messagingServerAddress: <ERROR CLASS>?`
myLegalName | `val myLegalName: String`
nearestCity | `val nearestCity: String`
networkMapAddress | `val networkMapAddress: <ERROR CLASS>?`
trustStorePassword | `val trustStorePassword: String`
useHTTPS | `val useHTTPS: Boolean`
webAddress | `val webAddress: <ERROR CLASS>`

### Inherited Properties

certificatesPath | `open val certificatesPath: Path`

### Functions

createNode | `fun createNode(): Node`

### Extension Functions

configureWithDevSSLCertificate | `fun NodeSSLConfiguration.configureWithDevSSLCertificate(): Unit` Strictly for dev only automatically construct a server certificate/private key signed from the CA certs in Node resources. Then provision KeyStores into certificates folder under node path.